import request from '@/utils/request'

// 查询打卡图片列表
export function listAppCheckImage(query) {
  return request({
    url: '/model/AppCheckImage/list',
    method: 'get',
    params: query
  })
}

// 查询打卡图片详细
export function getAppCheckImage(checkImageId) {
  return request({
    url: '/model/AppCheckImage/' + checkImageId,
    method: 'get'
  })
}

// 新增打卡图片
export function addAppCheckImage(data) {
  return request({
    url: '/model/AppCheckImage',
    method: 'post',
    data: data
  })
}

// 修改打卡图片
export function updateAppCheckImage(data) {
  return request({
    url: '/model/AppCheckImage',
    method: 'put',
    data: data
  })
}

// 删除打卡图片
export function delAppCheckImage(checkImageId) {
  return request({
    url: '/model/AppCheckImage/' + checkImageId,
    method: 'delete'
  })
}
